Package org.eclipse.net4j.util.io

## Class XORStreamWrapper

- java.lang.Object
- - org.eclipse.net4j.util.io.XORStreamWrapper

- All Implemented Interfaces:
    `IStreamWrapper`

      public class XORStreamWrapper
      extends java.lang.Object
      implements IStreamWrapper

  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.io.IStreamWrapper

      `IStreamWrapper.Factory`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `XORStreamWrapper​(int[] key)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `finishInputStream​(java.io.InputStream in)` |
    `void` | `finishOutputStream​(java.io.OutputStream out)` |
    `int[]` | `getKey()` |
    `XORInputStream` | `wrapInputStream​(java.io.InputStream in)` |
    `XOROutputStream` | `wrapOutputStream​(java.io.OutputStream out)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XORStreamWrapper

          public XORStreamWrapper​(int[] key)

  - ### Method Detail

    - #### getKey

          public int[] getKey()

    - #### wrapInputStream

          public XORInputStream wrapInputStream​(java.io.InputStream in)
                                         throws java.io.IOException

      Specified by:
        `wrapInputStream` in interface `IStreamWrapper`
      Throws:
        `java.io.IOException`

    - #### wrapOutputStream

          public XOROutputStream wrapOutputStream​(java.io.OutputStream out)
                                           throws java.io.IOException

      Specified by:
        `wrapOutputStream` in interface `IStreamWrapper`
      Throws:
        `java.io.IOException`

    - #### finishInputStream

          public void finishInputStream​(java.io.InputStream in)
                                 throws java.io.IOException

      Specified by:
        `finishInputStream` in interface `IStreamWrapper`
      Throws:
        `java.io.IOException`

    - #### finishOutputStream

          public void finishOutputStream​(java.io.OutputStream out)
                                  throws java.io.IOException

      Specified by:
        `finishOutputStream` in interface `IStreamWrapper`
      Throws:
        `java.io.IOException`